From 4688d626c145711e35f3676dbd4c827b3b2ea7f6 Mon Sep 17 00:00:00 2001
From: Morten Danielsen Volden <mvolden2@gmail.com>
Date: Fri, 13 Nov 2020 16:49:47 +0400
Subject: [PATCH] Fix test_codecompletion, test_duchain-clang, test_problems
 and test_files-clang failing on newer Ubuntu

(cherry picked from commit fa83c76b133a52c8ce0e7af0aa8c060fadaa8536)
---
 plugins/clang/duchain/clanghelpers.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/plugins/clang/duchain/clanghelpers.cpp b/plugins/clang/duchain/clanghelpers.cpp
index 4c7fa78e5d..59151fd03b 100644
--- a/plugins/clang/duchain/clanghelpers.cpp
+++ b/plugins/clang/duchain/clanghelpers.cpp
@@ -366,7 +366,8 @@ QString ClangHelpers::clangVersion()
         // samples:
         //   clang version 6.0.1 (trunk 321709) (git@github.com:llvm-mirror/llvm.git 5136df4d089a086b70d452160ad5451861269498)
         //   clang version 7.0.0-svn341916-1~exp1~20180911115939.26 (branches/release_70)
-        QRegularExpression re(QStringLiteral("^clang version (\\d+\\.\\d+\\.\\d+)"));
+        //   Ubuntu clang version 11.0.0-2
+        QRegularExpression re(QStringLiteral("clang version (\\d+\\.\\d+\\.\\d+)"));
         const auto match = re.match(version.toString());
         if (!match.hasMatch())
             return {};
-- 
2.30.0

